//---------------------------------------------------------------------------
// Copyright 2005 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Math/ReduceSpectrum.h,v $
// $Id: ReduceSpectrum.h,v 1.1 2005/02/17 22:24:45 ah Exp $ 
//
// Description: reduce spectral data
//
//---------------------------------------------------------------------------

#ifndef AH_REDUCE_SPECTRUM_H
#define AH_REDUCE_SPECTRUM_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)

BEGIN_NAMESPACE(AH)

// --- types and classes ---

class ReduceSpectrum
{
 public:
    ReduceSpectrum(int v, unsigned int osize,
		   double fmax, double flo, double fhi);

    void processLinXScale(const double* data, unsigned int isize,
			  double* avout, double* pkout);
    void processLogXScale(const double* data, unsigned int isize,
			  double* avout, double* pkout,
			  double smooth);

 private:
    void smoothLogXScale(double* data,double smooth);

    int verbose;
    unsigned int outsize;
    double fMax;
    double f1;
    double f2;
};

END_NAMESPACE

#endif // AH_REDUCE_SPECTRUM_H
// --- end of file ---
