//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHmath/testRegFals.c,v $
// $Id: testRegFals.c,v 1.4 2004/04/20 22:34:39 ah Exp $
//
// Description: test program for testing class FET in <Etech/FET.h>
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: testRegFals.c,v 1.4 2004/04/20 22:34:39 ah Exp $ (c) 1997 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/IO/CFormat.h>
#include <AH/Math/RegulaFalsi.h>

USING_NAMESPACE(Ah)

// --- gloal function implementation ---

static double testfunc(double x)
{
    return x*x - 4.0;
}

int main()
{
    std::cout << "Testprogram for class RegulaFalsi in libMath" << std::endl;

    //---------------------------------------------------------------------
    IOCFormat ufm("%10.8f");
    IOCFormat ifm("%10.8f");

    RegulaFalsi searchAlg(testfunc);

    std::cout << "eps    result" << std::endl;
    double eps = 0.1;
    for (int i = 0; i < 6; i++, eps *= 0.1)
    {
	double xNull = searchAlg.search(-1, +5, eps);
	std::cout << ufm << eps << " " << ifm << xNull << std::endl;
    } 

    return (0);
}




